upstream proyecto_app_server {
  # fail_timeout=0 means we always retry an upstream even if it failed
  # to return a good HTTP response (in case the Unicorn master nukes a
  # single worker for timing out).

  server unix:/home/proyecto/proyecto_backend/run/gunicorn.sock fail_timeout=0;
}

server {

    listen   80;
    server_name proyecto_devel.multifiber.cl;
    client_max_body_size 4G;

    access_log /var/log/nginx/proyecto-access.log;
    error_log /var/log/nginx/proyecto-error.log;

    location /static/ {
        alias   /home/proyecto/proyecto_backend/proyecto/static/;
    }

    location /media/ {
        alias   /home/proyecto/proyecto_backend/proyecto/media/;
    }

    # Error pages
    error_page 404 /404.html;
    location = /404.html {
        root /home/proyecto/;
        internal;
    }    
    error_page 500 502 503 504 /50x.html;
    location = /50x.html {
        root /home/proyecto/;
        internal;
    }

    location / {
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Host $http_host;
        proxy_redirect off;
        if (!-f $request_filename) {
            proxy_pass http://proyecto_app_server;
            break;
        }
    }


}